#!/usr/bin/env bash

function log() {
    echo -e "\033[33m$@\033[0m"
}

function feed_rapid7_fdns { # dataset
    dataset=$1
    line=$(curl -s https://opendata.rapid7.com/sonar.fdns_v2/ | grep "href=\".\+-fdns_$dataset.json.gz\"")
    link="https://opendata.rapid7.com$(echo "$line" | cut -d'"' -f2)"
    log "Reading $(echo "$dataset" | awk '{print toupper($0)}') records from $link"
    curl -L "$link" | gunzip | ./feed_dns.py rapid7
}

function feed_rapid7_rdns { # dataset
    dataset=$1
    line=$(curl -s https://opendata.rapid7.com/sonar.rdns_v2/ | grep "href=\".\+-rdns.json.gz\"")
    link="https://opendata.rapid7.com$(echo "$line" | cut -d'"' -f2)"
    log "Reading PTR records from $link"
    curl -L "$link" | gunzip | ./feed_dns.py rapid7
}

feed_rapid7_rdns
feed_rapid7_fdns a
# feed_rapid7_fdns aaaa
feed_rapid7_fdns cname
